query PoolQuery($id: String) {
  pool(
    id: $id,
    subgraphError: allow
  ) {
    address: id
    feeTier
    liquidity
    sqrtPrice
    tick
    totalValueLockedToken0
    totalValueLockedToken1
    volumeToken0
    volumeToken1
    volumeUSD

    token0 {
      address: id
      symbol
      name
      decimals
      derivedETH
    }

    token1 {
      address: id
      symbol
      name
      decimals
      derivedETH
    }

    poolDayData(
      first: 1,
      orderBy: date,
      orderDirection: desc
    ) {
      volumeUSD
      volumeToken0
      volumeToken1
    }
  }
}
